# DateTimePicker

Adds supports for \[System.Windows.Forms.DateTimePicker]\(<https://msdn.microsoft.com/en-us/library/system.windows.forms.datetimepicker(v=vs.110).aspx>)

## Implementation  Details

> **Component Selector:** 'wm-datetimepicker'
>
> **Kendo UI Component:** [Kendo DateInputs DatePicker](https://www.telerik.com/kendo-angular-ui/components/dateinputs/datepicker/) [Kendo DateInputs TimePicker](https://www.telerik.com/kendo-angular-ui/components/dateinputs/timepicker/)

## Class inheritance

DateTimePickerComponent extends [ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).

## PME Support

### Properties

| Property                           | Get/Set | Notify Changes | Details                                                                                                                                                                        |
| ---------------------------------- | ------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| currentFormart : string            | Yes     | No             | Property used to change the datepicker format in the component.                                                                                                                |
| dateFormat: DateFormat             | Get     | No             | Enum with: Custom, Long, Short, Time.                                                                                                                                          |
| format: DateFormat                 | Get     | No             | Displays kendo time picker if format is set to Time.                                                                                                                           |
| shortDateFormat : string (Private) | Yes     | No             | Defines the short date format used by the kendo component.                                                                                                                     |
| longDateFormat : string (Private)  | Yes     | No             | Defines the long date format  used by the kendo component.                                                                                                                     |
| value : Date                       | Yes     | Yes            | Requires a valid Javascript Date object.                                                                                                                                       |
| text: string                       | Yes     | Yes            | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| name: string                       | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| enabled: boolean                   | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |
| visible: boolean                   | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md) |

### Methods

| Method | Supported | Details |
| ------ | --------- | ------- |
| None   | None      | None    |

### Events

| Event        | Supported | Parameter       | Details                                                                                                                               |
| ------------ | --------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| ValueChanged | Yes       | **$event**: any | Triggers ValueChanged Event. ***$event*** parameter is optional and the ***$event***  object vary depending on the type of DOM event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/datetimepicker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
